### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata.dav

# Interface DAVFolderInterface

All Superinterfaces:
  `AttributesInterface`, `DAVEntityInterface`

All Known Implementing Classes:
  `DAVFolder`, `DAVPackage`, `DAVPerson`, `DAVPersonalrepository`, `DAVProfile`, `DAVRemarks`

@SASScope("ALL") @BinaryCompatibilityOnly public interface DAVFolderInterface extends DAVEntityInterface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEntity(DAVEntityInterface anEntity)`
  Add an entity to a folder
  `DAVFolderInterface`
  `createFolder(String Name)`
  Create a folder (always relative to some folder)
  `DAVFolderInterface`
  `createFolder(String Name, String typeName)`
  Create a folder (always relative to some folder)
  `DAVItemInterface`
  `createItem(String Name)`
  Create an item (always relative to some folder)
  `DAVItemInterface`
  `createItem(String Name, String typeName)`
  Create an item (always relative to some folder)
  `Collection`
  `getEntities()`
  Get a list of the entites in this folder
  `DAVEntityInterface`
  `getItem(String Name)`
  Get an item in a folder by name
  `Map`
  `getItems()`
  Get the internal list of items in this folder.
  `void`
  `refresh(DAVFolderInterface folder)`
  Refresh this folder entity with information from the one passed as a parameter This method should only be called by the repository.

  ### Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface

  `addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

  ### Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface

  `addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

- ## Method Details

  - ### getItem

    DAVEntityInterface getItem(String Name)
    Get an item in a folder by name
    Returns:
      Item or Folder that is identified by "Name"

  - ### addEntity

    void addEntity(DAVEntityInterface anEntity) throws ServiceException, RemoteException
    Add an entity to a folder
    Parameters:
      `anEntity` - The entity (folder or item) to be added to this folder
    Throws:
      `ServiceException`
      `RemoteException`

  - ### createItem

    DAVItemInterface createItem(String Name) throws ServiceException, RemoteException
    Create an item (always relative to some folder)
    Parameters:
      `Name` - The name of the item to create
    Returns:
      The item created in the folder
    Throws:
      `ServiceException`
      `RemoteException`

  - ### createItem

    DAVItemInterface createItem(String Name, String typeName) throws ServiceException, RemoteException
    Create an item (always relative to some folder)
    Parameters:
      `Name` - The name of the item to create
      `typeName` - A type for the item, which will determine its property set through schema defintions
    Returns:
      The item created in the folder
    Throws:
      `ServiceException`
      `RemoteException`

  - ### createFolder

    DAVFolderInterface createFolder(String Name) throws ServiceException, RemoteException
    Create a folder (always relative to some folder)
    Parameters:
      `Name` - The name of the folder to create
    Returns:
      The new folder created in the existing folder
    Throws:
      `ServiceException`
      `RemoteException`

  - ### createFolder

    DAVFolderInterface createFolder(String Name, String typeName) throws ServiceException, RemoteException
    Create a folder (always relative to some folder)
    Parameters:
      `Name` - The name of the folder to create
      `typeName` - A type for the item, which will determine its property set through schema defintions
    Returns:
      The new folder created in the existing folder
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getEntities

    Collection getEntities()
    Get a list of the entites in this folder
    Returns:
      A collection containing all the entities (items and subfolders)

  - ### getItems

    Map getItems()
    Get the internal list of items in this folder. Thiw method should only be used by the repository.
    Returns:
      Map names to internal items in the folder

  - ### refresh

    void refresh(DAVFolderInterface folder)
    Refresh this folder entity with information from the one passed as a parameter This method should only be called by the repository.
    Parameters:
      `folder` - The folder from which the refresh is going to be done